NAME    
	createJob - prepares the list of pipeline and QC report jobs for execution
		    (the list is *not* executed)

SYNOPSIS
	createJob -m MODE -d DATE [-option_value]

OPTIONS
        -h[elp]    short help
        -v[ersion] tool version
	-a[b_name] flag for creating a subcascade
	-F	   flag to call getStatusAB with option -F (export logs to qcweb)
		   (to be used within autoDaily only)

PARAMETERS
	-m[ode]:   	CALIB or SCIENCE
        -d[ate]:    	DFO date (e.g. 2024-07-30)
	-r <job_id>: 	recreate mode (only within createAB -r)

OUTPUTS
	- mcalDown_CALIB_<DATE> in $DFO_JOB_DIR: executable list of mcalib download jobs (for condor only)
	- execAB_<MODE>_<DATE> in $DFO_JOB_DIR: executable list of recipe calls 
	- execAB_<MODE>_<DATE>_sub if option -a is chosen
	- execQC_<MODE>_<DATE> in $DFO_JOB_DIR: executable list of QC report calls
	- execHC_TREND: executable list of HC report calls
	- command lines in $JOB_FILE_NAME to launch off-line processing

CONFIGURATION FILE
	config.createJob; also reads DRS_TYPE from config.createAB and QCBQS_TYPE from config.processQC

EXAMPLE
        createJob -m CALIB   -d 2024-04-30
        createJob -m SCIENCE -d 2024-07-30

NOTES
	Currently supported DRS types: 	     CPL | CON | INT
	Currently supported SCHED_TYPE:      VULTUR
	Currently supported QC report modes: PAR | SER | IMPLICIT
	Tool supports subcascades (option -a).
